CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

The module is designed to be an extension of BAT and provides 2 field widgets
for creating bookings.

We used the headless/decoupled approach for creating this module, the backend is
provided by jsonapi and of course BAT.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/nextpath_bat_booking

 * To submit bug reports and feature suggestions, or to track changes:
   https://www.drupal.org/project/issues/nextpath_bat_booking


REQUIREMENTS
------------

This module requires following modules:

 * JSON:API (part of drupal core from version 8.7) - https://www.drupal.org/project/jsonapi
 * Booking and Availability Management Tools for Drupal -
   https://www.drupal.org/project/bat


INSTALLATION
------------

 * Install the Nextpath BAT Booking module as you would normally install a
   contributed Drupal module. Visit https://www.drupal.org/node/1897420 for
   further information.


CONFIGURATION
-------------

    1. Navigate to Administration > Extend and enable the module.
    2. Navigate to Administration > Structure > Content types
    3. Create an Entity reference field on the Content type you want to make
       bookable.
    4. In Type of item to reference should choose the Unit entity type.
    5. Configure in your field display settings, the widget you would like to
       use.
    6. Create a BAT Unit and create a content type which references this Unit.


MAINTAINERS
-----------

Current maintainers:
 * Aurelian Zaha (aurelianzaha) - https://www.drupal.org/user/3575026
