import React from 'react';
import ReactDOM from 'react-dom';

import AdvancedBookingWindowWrapper from './components/advanced/AdvancedBookingWindowWrapper';

Array.prototype.forEach.call(document.getElementsByClassName('nextpath_advanced_booking_form'), function(element) {
  ReactDOM.render(
    <AdvancedBookingWindowWrapper
      dataUnitId={element.getAttribute('data-unit-id')}
      dataEventType={element.getAttribute('data-event-type')}
      dataStates={JSON.parse(element.getAttribute('data-states'))}
      dataLanguage={element.getAttribute('data-language')}
      dataStartTime={element.getAttribute('data-start-time')}
      dataEndTime={element.getAttribute('data-end-time')}
      dataRefreshInterval={element.getAttribute('data-refresh-interval')}
      calendarDefaultView={element.getAttribute('data-calendar-default-view')}
    />,
    element
  );
});
