import React from 'react';
import ReactDOM from 'react-dom';

class Booking extends React.Component {
  render() {
    return (
    <ul className="booking-history-row">
        <li className="period">
          {Drupal.t('From:')} {nextpath_helpers.formatOutputDate(this.props.startDate, true)} {Drupal.t('To:')} {nextpath_helpers.formatOutputDate(this.props.endDate, true)}
        </li>
        <li className="created">
          {Drupal.t('Booked on:')} {nextpath_helpers.formatOutputDate(this.props.created, true)}
        </li>
     </ul>
    );
  }
}

export default Booking;
