import {
  SAVE_SETTINGS
} from "../actionTypes";

const initialState = {
  dataUnitId: '',
  dataEventType: '',
  dataEventState: '',
};

export default function(state = initialState, action) {
  switch (action.type) {
    case SAVE_SETTINGS: {
      return {
        ...state,
        dataUnitId: action.payload.dataUnitId,
        dataEventType: action.payload.dataEventType,
        dataEventState: action.payload.dataEventState,
      };
    }
    default:
      return state;
  }
}
