module.exports = {
  entry: {
    simple_booking: './src/simple_booking.js',
    advanced_booking: './src/advanced_booking.js',
    tools: './src/tools.js',
  },
  module: {
    rules: [
      {
        test: /\.(js|jsx)$/,
        exclude: /node_modules/,
        use: {
          loader: "babel-loader"
        }
      },
      {
        test: /\.css$/,
        use: [
          { loader: "style-loader" },
          { loader: "css-loader" }
        ]
      },
    ]
  },
  output: {
    path: __dirname + '/dist',
    filename: '[name].js',
  },
  devServer: {
    contentBase: './dist'
  }
};
